#!/bin/sh -e

OUT_INTERFACE="$1"

SYSCTL_CONF="/etc/sysctl.d/abos_web_ipforward.conf"

if iptables -t nat -D POSTROUTING -o "$OUT_INTERFACE" -m comment --comment "abos-web-nat" -j MASQUERADE >/dev/null 2>&1; then
	/etc/init.d/iptables save
	persist_file /etc/iptables/rules-save
fi

# remove ip_forward conf if no rule left
# we keep live setting because podman also needs it
if ! iptables -t nat -S | grep -q "abos-web"; then
	persist_file -d "$SYSCTL_CONF" || :
fi
